MemoryException (Oracle - Berkeley DB Java API)
Keywords: com.sleepycat.db.MemoryException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.7.25
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class MemoryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sleepycat.db.DatabaseException
                  com.sleepycat.db.MemoryException

All Implemented Interfaces:
  Serializable

    public class MemoryException

extends DatabaseException

This exception is thrown when a `DatabaseEntry` passed to a `Database` or `Cursor` method is not large enough to hold a value being returned. This only applies to `DatabaseEntry` objects configured with the `DatabaseEntry.setUserBuffer` method. In a Java Virtual Machine, there are usually separate heaps for memory allocated by native code and for objects allocated in Java code. If the Java heap is exhausted, the JVM will throw an `OutOfMemoryError`, so you may see that exception rather than this one.

See Also:
  Serialized Form

Method Summary
`DatabaseEntry` | `getDatabaseEntry()` Returns the `DatabaseEntry` object with insufficient memory to complete the operation to complete the operation.
`String` | `toString()`

Methods inherited from class com.sleepycat.db.DatabaseException
`getEnvironment, getErrno`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getDatabaseEntry

    public DatabaseEntry getDatabaseEntry()

  Returns the `DatabaseEntry` object with insufficient memory to complete the operation to complete the operation.

### toString

    public String toString()

  Overrides:
    `toString` in class `DatabaseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.7.25
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996,2008 Oracle. All rights reserved.